package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.AttKmBase;

/** 公里桩信息 Service */
public interface KmService {
    /**
     * 查询公里桩信息列表
     *
     * @param attKmBase 查询条件
     * @return 公里桩信息列表
     */
    public List<AttKmBase> selectAttKmBaseList(AttKmBase attKmBase);

    /**
     * 通过公里桩编码查询公里桩信息
     *
     * @param kmCode 公里桩编码
     * @return 公里桩信息
     */
    public AttKmBase selectAttKmBaseById(String kmCode);

    /**
     * 删除公里桩信息
     *
     * @param kmCodes 公里桩编码数组
     * @return 删除行数
     */
    public int deleteAttKmBaseByIds(String[] kmCodes);

    /**
     * 新增公里桩信息
     *
     * @param attKmBase 公里桩信息
     * @return 插入行数
     */
    public int insertAttKmBase(AttKmBase attKmBase);

    /**
     * 修改公里桩信息
     *
     * @param attKmBase 公里桩信息
     * @return 更新行数
     */
    public int updateAttKmBase(AttKmBase attKmBase);
}
